<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LAarGroupRelationship StructType
 * @subpackage Structs
 */
class LAarGroupRelationship extends AbstractStructBase
{
    /**
     * The aarGroupFromName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $aarGroupFromName;
    /**
     * The aarGroupToName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $aarGroupToName;
    /**
     * The prefixDigit
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 32
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $prefixDigit;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for LAarGroupRelationship
     * @uses LAarGroupRelationship::setAarGroupFromName()
     * @uses LAarGroupRelationship::setAarGroupToName()
     * @uses LAarGroupRelationship::setPrefixDigit()
     * @uses LAarGroupRelationship::setUuid()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $aarGroupFromName
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $aarGroupToName
     * @param string $prefixDigit
     * @param string $uuid
     */
    public function __construct(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $aarGroupFromName = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $aarGroupToName = null, $prefixDigit = null, $uuid = null)
    {
        $this
            ->setAarGroupFromName($aarGroupFromName)
            ->setAarGroupToName($aarGroupToName)
            ->setPrefixDigit($prefixDigit)
            ->setUuid($uuid);
    }
    /**
     * Get aarGroupFromName value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getAarGroupFromName()
    {
        return $this->aarGroupFromName;
    }
    /**
     * Set aarGroupFromName value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $aarGroupFromName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LAarGroupRelationship
     */
    public function setAarGroupFromName(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $aarGroupFromName = null)
    {
        $this->aarGroupFromName = $aarGroupFromName;
        return $this;
    }
    /**
     * Get aarGroupToName value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getAarGroupToName()
    {
        return $this->aarGroupToName;
    }
    /**
     * Set aarGroupToName value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $aarGroupToName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LAarGroupRelationship
     */
    public function setAarGroupToName(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $aarGroupToName = null)
    {
        $this->aarGroupToName = $aarGroupToName;
        return $this;
    }
    /**
     * Get prefixDigit value
     * @return string|null
     */
    public function getPrefixDigit()
    {
        return $this->prefixDigit;
    }
    /**
     * Set prefixDigit value
     * @param string $prefixDigit
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LAarGroupRelationship
     */
    public function setPrefixDigit($prefixDigit = null)
    {
        $this->prefixDigit = $prefixDigit;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LAarGroupRelationship
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
